Last Comment Bug 434446 - [cy] Firefox - Welsh
: [cy] Firefox - Welsh
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: Registration & Management (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Localization Registration Bugs
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 01:30 PDT by Dewi Jones
Modified: 2008-09-12 13:05 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Firefox 3 RC1: cy-GB l10n (412.49 KB, application/octet-stream)
2008-05-19 01:30 PDT, Dewi Jones
l10n: review+
Details

Description Dewi Jones 2008-05-19 01:30:00 PDT
Created attachment 321563 [details]
Firefox 3 RC1: cy-GB l10n

The Welsh l10n team has localized Firefox 3, and would like to check the localization into mozilla CVS.  We can successfully create both the full build and the language pack.

We have maintained the cy-GB localization since Firefox 1.0 and before, though the Firefox 2 localization was available as a separate add-on (see https://addons.mozilla.org/en-US/firefox/addon/4444).
Comment 1 Axel Hecht [:Pike] 2008-07-01 05:39:15 PDT
Comment on attachment 321563 [details]
Firefox 3 RC1: cy-GB l10n

Hi Dewi, that's looking good, thanks.

Before we go into the landing and bug-filing spree to include this in an upcoming release, I'm wondering if we need the suffix -GB in the locale code. We're generally putting an emphasis on the language part, so if the region doesn't provide a value in disambiguating the localization, we prefer to drop it. Would just 'cy' be good enough here?
Comment 2 David Chan 2008-07-01 06:00:50 PDT
Yes, 'cy' should be sufficient.  (And this same Welsh localization is used by Welsh speakers outside of GB).
Comment 3 Axel Hecht [:Pike] 2008-07-01 06:02:56 PDT
Cool, thanks. Adjusting the summary for that. I won't need a new attachment, I'll just move the thing on the initial check-in that I'll do later today. Expect a flurry of bugs coming at you, too :-)
Comment 4 David Chan 2008-08-06 08:57:16 PDT
Hello, I just wanted to ask is anything the Welsh Firefox team can do to help this bug's progress?  Thanks
Comment 5 Axel Hecht [:Pike] 2008-08-06 09:02:28 PDT
Hi, currently there's very little you can do, sadly. I'm still on the hook with landing this. The current blocker is that one essential piece of our infrastructure, bonsai-l10n.mozilla.org, goes down for 3 or 4 hours when I land a new locale, which means that all other locales currently working towards release don't get prompt feedback on their change. To put pain to the insult, the guy that understands the part that goes wrong is on vacation this week.

We do have you on the list, rest assured, it's just way hectic right now.
Comment 6 David Chan 2008-08-29 16:32:16 PDT
Ok.  Is there a particular problem with the bonsai code we could help with?  I haven't hacked on bonsai before, but if there's blocker to fix, I'd be happy to give it a try.  Thanks
Comment 7 Axel Hecht [:Pike] 2008-09-12 13:03:15 PDT
Landed.

Marking FIXED, thanks for your patience. Further updates will happen in the
follow up bugs, depending on bug 454171 for fx3.

Note You need to log in before you can comment on or make changes to this bug.